We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request PUT \
--url https://api.kinsta.com/v2/domains/{domain_id}/dns-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "A",
"name": "abc.mydomain.com",
"ttl": 3600,
"new_resource_records": [
{
"value": "1.1.1.1"
}
],
"removed_resource_records": [
{
"value": "2.2.2.2"
}
]
}
'{
"message": "Updating a domain DNS record in progress",
"status": 202,
"operation_id": "domains:update-dns-record-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}curl --request PUT \
--url https://api.kinsta.com/v2/domains/{domain_id}/dns-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "A",
"name": "abc.mydomain.com",
"ttl": 3600,
"new_resource_records": [
{
"value": "1.1.1.1"
}
],
"removed_resource_records": [
{
"value": "2.2.2.2"
}
]
}
'{
"message": "Updating a domain DNS record in progress",
"status": 202,
"operation_id": "domains:update-dns-record-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"